<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>vip.xiaonuo</groupId>
        <artifactId>snowy</artifactId>
        <version>3.0.0</version>
    </parent>

    <artifactId>snowy-web-app</artifactId>
    <packaging>jar</packaging>
    <description>主启动模块</description>

    <dependencies>

        <!-- test -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- test -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- dynamic-datasource -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot3-starter</artifactId>
        </dependency>

        <!-- mysql -->
         <dependency>
             <groupId>com.mysql</groupId>
             <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- postgresql -->
        <!--<dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
        </dependency>-->

        <!-- oracle -->
        <!--<dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc10</artifactId>
        </dependency>-->
        <!--<dependency>
            <groupId>com.oracle.database.nls</groupId>
            <artifactId>orai18n</artifactId>
        </dependency>-->

        <!-- mssql -->
        <!--<dependency>
            <groupId>com.microsoft.sqlserver</groupId>
            <artifactId>mssql-jdbc</artifactId>
        </dependency>-->

        <!-- 达梦数据库 -->
        <!--<dependency>
            <groupId>com.dameng</groupId>
            <artifactId>DmJdbcDriver18</artifactId>
        </dependency>-->

        <!-- 人大金仓数据库 -->
        <!--<dependency>
            <groupId>cn.com.kingbase</groupId>
            <artifactId>kingbase8</artifactId>
        </dependency>-->

        <!-- 登录鉴权插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-auth</artifactId>
        </dependency>

        <!-- 业务功能插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-biz</artifactId>
        </dependency>

        <!-- C端功能插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-client</artifactId>
        </dependency>

        <!-- 开发工具插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-dev</artifactId>
        </dependency>

        <!-- 代码生成插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-gen</artifactId>
        </dependency>

        <!-- 移动端管理插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-mobile</artifactId>
        </dependency>

        <!-- 系统功能插件 -->
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-sys</artifactId>
        </dependency>
    </dependencies>

<!--    <build>-->
<!--        <plugins>-->
<!--            <plugin>-->
<!--                <groupId>org.springframework.boot</groupId>-->
<!--                <artifactId>spring-boot-maven-plugin</artifactId>-->
<!--                <version>${spring-boot.version}</version>-->
<!--                <configuration>-->
<!--                    <includeSystemScope>true</includeSystemScope>-->
<!--                </configuration>-->
<!--                <executions>-->
<!--                    <execution>-->
<!--                        <goals>-->
<!--                            <goal>repackage</goal>-->
<!--                        </goals>-->
<!--                    </execution>-->
<!--                </executions>-->
<!--            </plugin>-->
<!--        </plugins>-->
<!--    </build>-->
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <!-- 如果没有该项配置，则devtools不会起作用，即应用不会restart -->
                    <mainClass>vip.xiaonuo.Application</mainClass>
                    <includeSystemScope>true</includeSystemScope>
                    <!--<fork>true</fork>-->
                    <!--增量打包配置【start】-->
                    <layout>ZIP</layout>
                    <includes>
                        <include>
                            <groupId>non-exists</groupId>
                            <artifactId>non-exists</artifactId>
                        </include>
                    </includes>
                    <!--增量打包配置【end】-->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
